[@bigcommerce/checkout-sdk](../README.md) / BigCommercePaymentsFieldsStyleOptions

# Interface: BigCommercePaymentsFieldsStyleOptions

## Table of contents

### Properties

- [rules](BigCommercePaymentsFieldsStyleOptions.md#rules)
- [variables](BigCommercePaymentsFieldsStyleOptions.md#variables)

## Properties

### rules

• `Optional` **rules**: `Object`

#### Index signature

▪ [key: `string`]: `any`

___

### variables

• `Optional` **variables**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `borderColor?` | `string` |
| `borderFocusColor?` | `string` |
| `borderRadius?` | `string` |
| `borderWidth?` | `string` |
| `colorBackground?` | `string` |
| `colorDanger?` | `string` |
| `colorInfo?` | `string` |
| `colorTextPlaceholder?` | `string` |
| `fontFamily?` | `string` |
| `fontSizeBase?` | `string` |
| `fontSizeLg?` | `string` |
| `fontSizeM?` | `string` |
| `fontSizeSm?` | `string` |
| `spacingUnit?` | `string` |
| `textColor?` | `string` |
